privacy_title = Confidentialité

privacy_body = <h3>API Identifiants de Connexion <small>(disponible pour :api_req_countries pays seulement)</small></h3>

<p>L\App PayPal pour osCommerce permet d\'installer et configuere automatiquement l\'App avec leurs Identifiants de Connexion PayPal API sans avoir besoin de les rentrer manuellement. C\'est exécuté en sécurité en permettant à osCommerce d\'accéder aux API Identifiants de connexion par le compte PayPal.</p>

<p>En donnant la permission d\'accès à osCommerce les informations suivantes seront récupérées par voie du compte PayPal :</p>

<ul>
  <li>API Nom d\'Utilisateur</li>
  <li>API Mot de passe</li>
  <li>API Signature</li>
  <li>ID Compte</li>
</ul>

<p>Aucune autre information est disponible (eg, PayPal Nom d\'Utilisateur ou Mot de passe, solde, historique de transaction, etc.).</p>

<p>Les informations de Nom d\'Utilisateur API, API Mot de passe, API Signature, et ID Compte sont utilisées pour configurer automatiquement les modules PayPal dans l\'App PayPal qui incluent:</p>

<ul>
  <li>PayPal Paiements Standard</li>
  <li>PayPal Express Checkout</li>
  <li>PayPal Payments Pro (Direct  Paiement)</li>
  <li>PayPal Payments Pro (Hosted Solution)</li>
  <li>Connexion avec PayPal</li>
</ul>

<p>Le processus démarre en utilisant les boutons "Récupérer Live Identifiants de Connexion" et "Récupérer Sandbox Identifiants de Connexion" affichés dans les pages de gestion de l\'App PayPal démarrage et gestion d\'Identifiants de Connexion. Le Marchand est amené en sécurité vers le siteweb PayPal pour donner accès à osCommerce pour récupérer les API Identifiants de connexion, puis redirigé sur leur propre siteweb pour continuer la configuration de l\'App. On procède ainsi :</p>

<ol>
  <li>Cliquer sur "Récupérer Live Identifiants de Connexion" ou "Récupérer Sandbox Identifiants de Connexion" qui mène à une page d\'initialisation sur le siteweb osCommerce qui enrégistre la requête et aussitôt redirige le marchand à une page sur le siteweb PayPal. osCommerce enrégiste les informations dans la requête :
    <ul>
      <li>Une session ID unique.</li>
      <li>Un ID secret à comparer à l\'ID session.</li>
      <li>L\'URL de l\'App du marchand (pour la redirection).</li>
      <li>L\'adresse IP du marchand.</li>
    </ul>
  </li>
  <li>PayPal demand au marchand de connecter avec leur compte PayPal ou en créer un.</li>
  <li>PayPal demande au marchand d\'accorder accès à osCommerce pour récupérer les API Identifiants de Connexion.</li>
  <li>PayPal redrige le marchandvers la page du siteweb osCommerce.</li>
  <li>osCommerce récupère et stoque les informations suivantes de PayPal:
    <ul>
      <li>API Nom d\'Utilisateur</li>
      <li>API Mot de Passe</li>
      <li>API Signature</li>
      <li>ID Compte</li>
    </ul>
  </li>
  <li>The store owner is automatically redirected back to their PayPal App.</li>
  <li>The PayPal App performs a secure HTTPS call to the osCommerce website to retrieve the API Identifiants de Connexion.</li>
  <li>The osCommerce website authenticates the secure HTTPS call, sends the API Identifiants de Connexion, and locally discards the API Identifiants de Connexion and PayPal App URL stored in steps 1 and 5.</li>
  <li>The PayPal App configures itself with the API Identifiants de Connexion.</li>
</ol>

<div class="pp-panel pp-panel-warning">
  <p>The API Identifiants de Connexion retrieved from the store owners PayPal account are only used to configure the PayPal App. osCommerce temporarily stores the API Identifiants de Connexion as described in this privacy policy, and discards the API Identifiants de Connexion as soon as the process is over. A back-end script is also run to discard any stored information for processes that have not finalized.</p>
</div>

<div class="pp-panel pp-panel-info">
  <p>osCommerce has worked closely with PayPal to ensure the PayPal App follows strict privacy and security policies.</p>
</div>

<h3>PayPal Modules</h3>

<p>PayPal modules send store owner, online store, and customer related information to PayPal to process API transactions. These include the following modules:</p>

<ul>
  <li>PayPal Payments Standard</li>
  <li>PayPal Express Checkout</li>
  <li>PayPal Payments Pro (Direct Payment)</li>
  <li>PayPal Payments Pro (Hosted Solution)</li>
  <li>Log In with PayPal</li>
</ul>

<p>The following information is included in API calls sent to PayPal:</p>

<ul>
  <li>PayPal account information of the seller / store owner including e-mail address and API credentials.</li>
  <li>Customer shipping and billing addresses.</li>
  <li>Product information including name, price, and quantity.</li>
  <li>Shipping and tax information applicable to the order.</li>
  <li>The order total and currency.</li>
  <li>Store URLs to process, verify, and finalize PayPal transactions, including success, cancelled, and IPN URLs.</li>
  <li>E-Commerce solution identification.</li>
</ul>

<div class="pp-panel pp-panel-info">
  <p>The parameters of each transaction sent to and received from PayPal can be inspected on the PayPal App Log page.</p>
</div>

<h3>App Updates</h3>

<p>The PayPal App for osCommerce Online Merchant automatically checks the osCommerce website for updates that are available to the App. This check is performed once every 24 hours and if an update is available, a notification is shown to allow the App to download and apply the update.</p>

<p>A manual check for available updates is also performed on the PayPal App Info page.</p>

<h3>Google Hosted Libraries (jQuery and jQuery UI)</h3>

<p>If jQuery or jQuery UI are not already loaded in the Administration Tool, the PayPal App administration pages automatically load the libraries securely through Google Hosted Libraries.</p>
