<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2018 osCommerce

  Released under the GNU General Public License
*/
?>

<div class="alert alert-info" role="alert">
  <h1>Bienvenue à OSCOM CE Phoenix<?php echo osc_get_version(); ?></h1>

  <p>OSCOM CE Phoenix vous aide à vendre les produits au monde entier avec votre propre boutique en ligne. Son outil d'Administration Tool gère les produits, customers, les commandes, les newsletters, les promotions, et encore plus pour assurer le succès de votre boutique en ligne.</p>
  <p>osCommerce a attiré une grande communauté de commerçants et programmeurs qui se soutiennent et qui ont fourni des milliers de contributions gratuites et payantes pour augmenter les fonctionnalités et le potentiel de votre boutique en ligne.</p>
</div>

<div class="row">
  <div class="col-sm-12 col-md-9 order-last">

    <h1 class="h4">Nouvelle Installation</h1>

<?php
    $configfile_array = array();

    if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php') && !osc_is_writable(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php')) {
      @chmod(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php', 0777);
    }

    if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php') && !osc_is_writable(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php')) {
      @chmod(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php', 0777);
    }

    if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php') && !osc_is_writable(osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php')) {
      $configfile_array[] = osc_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php';
    }

    if (file_exists(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php') && !osc_is_writable(osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php')) {
      $configfile_array[] = osc_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php';
    }

    $warning_array = array();

    if (!extension_loaded('mysqli')) {
      $warning_array['mysql'] = 'L\'extension MySQLi est réquise mais pas installée. Veuillez activer l\'extension pour continuer l\'installation.';
    }

    if ((sizeof($configfile_array) > 0) || (sizeof($warning_array) > 0)) {
?>

      <div class="noticeBox">

<?php
      if (sizeof($warning_array) > 0) {
?>

        <table class="table table-condensed table-striped">

<?php
        foreach ( $warning_array as $key => $value ) {
          echo '        <tr>' . "\n" .
               '          <td valign="top"><strong>' . $key . '</strong></td>' . "\n" .
               '          <td valign="top">' . $value . '</td>' . "\n" .
               '        </tr>' . "\n";
        }
?>

        </table>
<?php
      }

      if (sizeof($configfile_array) > 0) {
?>

        <div class="alert alert-danger" role="alert">
          <p>Le serveur web ne peut pas sauvegarder les paramètres de l'installation sur les fichiers de configuration.</p>
          <p>Les fichiers suivants ont besoin que leurs permissions d'écriture soient définies à inscriptible (chmod 777):</p>
          <p>

<?php
          for ($i=0, $n=sizeof($configfile_array); $i<$n; $i++) {
            echo $configfile_array[$i];

            if (isset($configfile_array[$i+1])) {
              echo '<br />';
            }
          }
?>

          </p>
        </div>

<?php
      }
?>

      </div>

<?php
    }

    if ((sizeof($configfile_array) > 0) || (sizeof($warning_array) > 0)) {
?>

      <div class="alert alert-danger" role="alert">Veuillez corriger les erreurs ci-dessus et réessayer le processus d'installation procedure avec les modifications effectuées.</div>

<?php
      if (sizeof($warning_array) > 0) {
        echo '    <div class="alert alert-info" role="alert"><i>Changer les paramètres de configuration du serveur web pourrait demander à ce que le service du serveur web soit redémarré avant que les changements soient opérationnels.</i></div>' . "\n";
      }
?>

      <p><a href="index.php" class="btn btn-danger btn-block" role="button">Réessayer</a></p>

<?php
    } else {
?>

      <div class="alert alert-success" role="alert">L'environment du serveur web à été vérifié pour procéder avec succès l'installation et la configuration de votre boutique en ligne.</div>

      <div id="jsOn" style="display: none;">
        <p><a href="install.php" class="btn btn-success btn-block" role="button">Démarrer le processus d'installation</a></p>
      </div>

      <div id="jsOff">
        <p class="text-danger">Veuillez activer le Javascript dans votre navigateur pour démarrer le processus d'installation.</p>
        <p><a href="index.php" class="btn btn-danger btn-block" role="button">Réessayer</a></p>
      </div>

<script>
$(function() {
  $('#jsOff').hide();
  $('#jsOn').show();
});
</script>

<?php
  }
?>
  </div>
  <div class="col-sm-12 col-md-3 order-first">
    <h2 class="h4">Fonctionnalités Serveur</h2>

    <table class="table table-condensed table-striped">
      <tr>
        <th colspan="3">Version PHP</th>
      </tr>
      <tr>
        <th><?php echo PHP_VERSION; ?></th>
        <td colspan="2" align="right"><?php echo ((PHP_VERSION >= 7) ? '<i class="fas fa-thumbs-up text-success"></i>' : '<i class="fas fa-thumbs-down text-danger"></i>'); ?></td>
      </tr>
<?php
  if (function_exists('ini_get')) {
?>
      <tr>
        <th colspan="3">Réglages PHP</th>
      </tr>
      <tr>
        <th>file_uploads</th>
        <td align="right"><?php echo (((int)ini_get('file_uploads') == 0) ? 'Off' : 'On'); ?></td>
        <td align="right"><?php echo (((int)ini_get('file_uploads') == 1) ? '<i class="fas fa-thumbs-up text-success"></i>' : '<i class="fas fa-thumbs-down text-danger"></i>'); ?></td>
      </tr>
      <tr>
        <th>auto_start</th>
        <td align="right"><?php echo (((int)ini_get('session.auto_start') == 0) ? 'Off' : 'On'); ?></td>
        <td align="right"><?php echo (((int)ini_get('session.auto_start') == 0) ? '<i class="fas fa-thumbs-up text-success"></i>' : '<i class="fas fa-thumbs-down text-danger"></i>'); ?></td>
      </tr>
      <tr>
        <th>use_trans_sid</th>
        <td align="right"><?php echo (((int)ini_get('session.use_trans_sid') == 0) ? 'Off' : 'On'); ?></td>
        <td align="right"><?php echo (((int)ini_get('session.use_trans_sid') == 0) ? '<i class="fas fa-thumbs-up text-success"></i>' : '<i class="fas fa-thumbs-down text-danger"></i>'); ?></td>
      </tr>
      <tr>
        <th colspan="3">Extensions Réquises</th>
      </tr>
      <tr>
        <th>MySQL<?php echo extension_loaded('mysqli') ? 'i' : ''; ?></th>
        <td colspan="2" align="right"><?php echo (extension_loaded('mysqli') ? '<i class="fas fa-thumbs-up text-success"></i>' : '<i class="fas fa-thumbs-down text-danger"></i>'); ?></td>
      </tr>
      <tr>
        <th colspan="3">Extensions Recommandées</th>
      </tr>
      <tr>
        <th>GD</th>
        <td colspan="2" align="right"><?php echo (extension_loaded('gd') ? '<i class="fas fa-thumbs-up text-success"></i>' : '<i class="fas fa-thumbs-down text-danger"></i>'); ?></td>
      </tr>
      <tr>
        <th>cURL</th>
        <td colspan="2" align="right"><?php echo (extension_loaded('curl') ? '<i class="fas fa-thumbs-up text-success"></i>' : '<i class="fas fa-thumbs-down text-danger"></i>'); ?></td>
      </tr>
      <tr>
        <th>OpenSSL</th>
        <td colspan="2" align="right"><?php echo (extension_loaded('openssl') ? '<i class="fas fa-thumbs-up text-success"></i>' : '<i class="fas fa-thumbs-down text-danger"></i>'); ?></td>
      </tr>
    </table>
<?php
  }
?>
  </div>
</div>
