<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2018 osCommerce

  Released under the GNU General Public License
*/
?>

<script>
<!--

  var dbServer;
  var dbUsername;
  var dbPassword;
  var dbName;
  var dbImportSample;

  var formSubmited = false;
  var formSuccess = false;

  function prepareDB() {
    if (formSubmited == true) {
      return false;
    }

    formSubmited = true;

    $('.mBox').show();

    $('.mBoxContents').html('<div class="alert alert-warning"><i class="fas fa-spinner fa-spin fa-2x"></i>Test de la connexion de la base de données...</div>');

    dbServer = $('#DB_SERVER').val();
    dbUsername = $('#DB_SERVER_USERNAME').val();
    dbPassword = $('#DB_SERVER_PASSWORD').val();
    dbName = $('#DB_DATABASE').val();
    dbImportSample = $('#DB_IMPORT_SAMPLE').val();

    $.get('rpc.php?action=dbCheck&server=' + encodeURIComponent(dbServer) + '&username=' + encodeURIComponent(dbUsername) + '&password=' + encodeURIComponent(dbPassword) + '&name=' + encodeURIComponent(dbName), function (response) {
      var result = /\[\[([^|]*?)(?:\|([^|]*?)){0,1}\]\]/.exec(response);
      result.shift();

      if (result[0] == '1') {
        $('.mBoxContents').html('<div class="alert alert-success"><i class="fas fa-spinner fa-spin fa-2x"></i>Importation de la structure de la base de données en cours. Veuillez patienter pendant le processus.</div>');

        $.get('rpc.php?action=dbImport&server=' + encodeURIComponent(dbServer) + '&username=' + encodeURIComponent(dbUsername) + '&password='+ encodeURIComponent(dbPassword) + '&name=' + encodeURIComponent(dbName) + '&importsample=' + encodeURIComponent(dbImportSample), function (response2) {      
          var result2 = /\[\[([^|]*?)(?:\|([^|]*?)){0,1}\]\]/.exec(response2);
          result2.shift();

          if (result2[0] == '1') {
            $('.mBoxContents').html('<div class="alert alert-success"><i class="fas fa-thumbs-up fa-2x"></i> Base de données importée avec succès.</div>');

            formSuccess = true;

            setTimeout(function() {
              $('#installForm').submit();
            }, 2000);
          } else {
            var result2_error = result2[1].replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;');

            $('.mBoxContents').html('<div class="alert alert-danger"><p><i class="fas fa-thumbs-down fa-2x text-danger"></i> Il y a eu un problème avec l\'importation la base de données. L\'erreur suivante s\'est produite :</p><p  class="text-danger"><strong>%s</strong></p><p class="text-danger">Veuillez vérifier les paramètres de connexion et réessayer.</p></div>'.replace('%s', result2_error));

            formSubmited = false;
          }
        }).fail(function() {
          formSubmited = false;
        });
      } else {
        var result_error = result[1].replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;');

        $('.mBoxContents').html('<div class="alert alert-danger"><p><i class="fas fa-thumbs-down fa-2x text-danger"></i> Il y a eu un problème pour se connecter à la base de données. L\'erreur suivante s\'est produite :</p><p class="text-danger"><strong>%s</strong></p><p class="text-danger">Veuillez vérifier les paramètres de connexion et réessayer.</p></div>'.replace('%s', result_error));

        formSubmited = false;
      }
    }).fail(function() {
      formSubmited = false;
    });
  }

  $(function() {
    $('#installForm').submit(function(e) {
      if ( formSuccess == false ) {
        e.preventDefault();

        prepareDB();
      }
    });
  });

//-->
</script>
<div class="row">
  <div class="col-sm-9">
    <div class="alert alert-info" role="alert">
      <h1>Nouvelle Installation</h1>

      <p>Ce processus d'installation basé sur le web va installer et configurer OSCOM CE Phoenix pour tourner sur ce serveur.</p>
      <p>Veuillez suivre les instructions sur l'écran qui vont vous amener à travers les serveur de la base de données, le serveur web, et les options de configuration de la boutique. Si vous avez besoin d'assistance à n'imprte quelle étape, veuillez consulter la documentation ou chercher de l'aide aux forums d'aide.</p>
    </div>
  </div>
  <div class="col-sm-3">
    <div class="card mb-2">
      <div class="card-body">
        <ol>
          <li class="text-success"><strong>Serveur Base de Données</strong></li>
          <li class="text-muted">Serveur Web</li>
          <li class="text-muted">Réglages Boutique en Ligne</li>
          <li class="text-muted">Terminé !</li>
        </ol>
      </div>
      <div class="card-footer">
        <div class="progress">
          <div class="progress-bar progress-bar-info progress-bar-striped" role="progressbar" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100" style="width: 25%">25%</div>
        </div>
      </div>
    </div>
    
  </div>
</div>
  
<div class="w-100"></div>

<div class="row">
  <div class="col-xs-12 col-sm-9">

    <div class="mBox">
      <div class="mBoxContents"></div>
    </div>
    
    <h2 class="h4">Serveur Base de Données</h2>
    <p class="text-danger pull-right text-right"><i class="fas fa-asterisk text-danger"></i>Iinformation Réquise</p>

    <form name="install" id="installForm" action="install.php?step=2" method="post" role="form">
    
      <div class="form-group row">
        <label for="dbServer" class="col-form-label col-sm-3 text-left text-sm-right">Serveur Base de Données</label>
        <div class="col-sm-9">
          <?php echo osc_draw_input_field('DB_SERVER', NULL, 'required aria-required="true" id="dbServer" placeholder="localhost"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <span class="form-text">L'adresse du serveur de la base de données au format d'un nom d'hôte ou adresse IP.</span>
        </div>
      </div>
    
      <div class="form-group row">
        <label for="userName" class="col-form-label col-sm-3 text-left text-sm-right">Nom d'utilisateur</label>
        <div class="col-sm-9">
          <?php echo osc_draw_input_field('DB_SERVER_USERNAME', NULL, 'required aria-required="true" id="userName" placeholder="Nom Utilisateur"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <span class="form-text">Le nom d'utilisateur pour connecter au serveur de la base de données.</span>
        </div>
      </div>
    
      <div class="form-group row">
        <label for="passWord" class="col-form-label col-sm-3 text-left text-sm-right">Mot de Passe</label>
        <div class="col-sm-9">
          <?php echo osc_draw_password_field('DB_SERVER_PASSWORD', NULL, 'required aria-required="true" id="passWord"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <span class="form-text">Le mot de passe à utiliser avec le nom d'utilisateur pour connecter au serveur de la base de données.</span>
        </div>
      </div>
    
      <div class="form-group row">
        <label for="dbName" class="col-form-label col-sm-3 text-left text-sm-right">Nom Base de Données</label>
        <div class="col-sm-9">
          <?php echo osc_draw_input_field('DB_DATABASE', NULL, 'required aria-required="true" id="dbName" placeholder="Base de données"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <span class="form-text">Le nom de la base de données qui tient les données.</span>
        </div>
      </div>
      
      <div class="form-group row">
        <label for="dbName" class="col-form-label col-sm-3 text-left text-sm-right">Importer Example Données</label>
        <div class="col-sm-9">
          <?php echo osc_draw_select_menu('DB_IMPORT_SAMPLE', array(array('id' => '0', 'text' => 'Ignorer les exemples de données'), array('id' => '1', 'text' => 'Importer exemples de données')), '1'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <span class="form-text">Importer des exemples de produits et catégories ?</span>
        </div>
      </div>
      
      <div class="mBox">
        <div class="mBoxContents"></div>
      </div>
      
      <p><?php echo osc_draw_button('Continuer à Etape 2', 'triangle-1-e', null, 'primary', null, 'btn-success btn-block'); ?></p>

    </form>    
  </div>
  <div class="col-xs-12 col-sm-3">
    <h2 class="h4">Etape 1</h2>
    <div class="card card-body">      
      <p>Le serveur de la base de données stoque le contenu de votre boutique en ligne ainsi que les informations des produits, les informations des clients, et les commandes effectuées.</p>
      <p>Veuillez consulter votre administrateur du serveur si les paramètres du serveur de la base de données ne sont pas encore connus.</p>
    </div>
  </div>
  
</div>
