<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2018 osCommerce

  Released under the GNU General Public License
*/

  $www_location = 'http://' . $_SERVER['HTTP_HOST'];

  if (isset($_SERVER['REQUEST_URI']) && !empty($_SERVER['REQUEST_URI'])) {
    $www_location .= $_SERVER['REQUEST_URI'];
  } else {
    $www_location .= $_SERVER['SCRIPT_FILENAME'];
  }

  $www_location = substr($www_location, 0, strpos($www_location, 'install'));

  $dir_fs_www_root = osc_realpath(dirname(__FILE__) . '/../../../') . '/';
?>


<div class="row">
  <div class="col-sm-9">
    <div class="alert alert-info" role="alert">
      <h1>Nouvelle Installation</h1>

      <p>Ce processus d'installation basé sur le web va installer et configurer OSCOM CE Phoenix pour tourner sur ce serveur.</p>
      <p>Veuillez suivre les instructions sur l'écran qui vont vous amener à travers les serveur de la base de données, le serveur web, et les options de configuration de la boutique. Si vous avez besoin d'assistance à n'imprte quelle étape, veuillez consulter la documentation ou chercher de l'aide aux forums d'aide.</p>
    </div>
  </div>
  <div class="col-sm-3">
    <div class="card mb-2">
      <div class="card-body">
        <ol>
          <li class="text-muted">Serveur Base de Données</li>
          <li class="text-success"><strong>Serveur Web</strong></li>
          <li class="text-muted">Réglages Boutique en Ligne</li>
          <li class="text-muted">Terminé !</li>
        </ol>
      </div>
      <div class="card-footer">
        <div class="progress">
          <div class="progress-bar progress-bar-info progress-bar-striped" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width: 50%">50%</div>
        </div>
      </div>
    </div>    
  </div>
</div>

<div class="w-100"></div>

<div class="row">
  <div class="col-xs-12 col-sm-9">
    <h2 class="h4">Serveur Web</h2>
    <p class="text-danger pull-right text-right"><i class="fas fa-asterisk text-danger"></i> Information Réquise</p>

    <form name="install" id="installForm" action="install.php?step=3" method="post" role="form">

      <div class="form-group row">
        <label for="wwwAddress" class="col-form-label col-sm-3 text-left text-sm-right">WWW Adresse</label>
        <div class="col-sm-9">
          <?php echo osc_draw_input_field('HTTP_WWW_ADDRESS', $www_location, 'required aria-required="true" id="wwwAddress" placeholder="http://"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <span class="form-text">L'adresse web de votre boutique.</span>
        </div>
      </div>
    
      <div class="form-group row">
        <label for="webRoot" class="col-form-label col-sm-3 text-left text-sm-right">Répertoire Racine du Serveur Web</label>
        <div class="col-sm-9">
          <?php echo osc_draw_input_field('DIR_FS_DOCUMENT_ROOT', $dir_fs_www_root, 'required aria-required="true" id="webRoot"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <span class="form-text">Le répertoire du serveur où se trouve la boutique en ligne.</span>
        </div>
      </div>

      <p><?php echo osc_draw_button('Continuer à Etape 3', 'triangle-1-e', null, 'primary', null, 'btn-success btn-block'); ?></p>

      <?php
      foreach ( $_POST as $key => $value ) {
        if (($key != 'x') && ($key != 'y')) {
          echo osc_draw_hidden_field($key, $value);
        }
      }
      ?>

    </form>
  </div>
  <div class="col-xs-12 col-sm-3">
    <h2 class="h4">Etape 2</h2>
    <div class="card mb-2 card-body">      
      <p>Le serveur web prend soin de fournir les pages de votre boutique en ligne à vos invités et clients. Les paramètres du serveur assure que les liens aux pages pointent vers la bonne location.</p>
    </div>
  </div>
  
</div>
